# $Id: Makefile,v 1.35 2002/07/30 14:00:42 tep Exp $
JC = javac
DEFS =
JFLAGS =
SRC = SPKIException.java ParseException.java IntersectionException.java \
	ReductionException.java \
	BaseObj.java PrincipalFactory.java URIs.java Hash.java LocObjFactory.java \
	PublicKey.java Signature.java PrivateKey.java KeyPairFactory.java \
	Name.java FQName.java LocalName.java RelativeName.java Issuer.java \
	Subject.java SubjectCapability.java SubjectRole.java SubjectName.java \
	SubjectTransfer.java SubjectAttribute.java Empowerment.java Escrow.java \
	Date.java ValidOffline.java ValidOnline.java Validity.java \
	ValidTransfer.java Tag.java CertBody.java RoleCert.java \
	CapabilityCert.java TransferCert.java NameCert.java AttributeCert.java \
	Certificate.java SequenceDef.java SequenceRef.java Sequence.java \
	SeqEntryFactory.java Tuple.java Name4Tuple.java Capability5Tuple.java \
	Role5Tuple.java CBACChainReducer.java RBACChainReducer.java test.java \
	benchmark.java
TARGETS = ${SRC:.java=.class}
.SUFFIXES : .java .class

target:
	rm -f /tmp/{priv,pub}_keydb.hdb
	make $(TARGETS)
	cd demo ; make

tags:
	ctags -R

#test.class: $(SRC)
#	$(JC) $(JFLAGS) test.java

.java.class:
	$(JC) $(JFLAGS) $<

clean:
	rm -f $(TARGETS) *.class *~
	cd interfaces ; make clean
	cd demo ; make clean
